Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class MethodCache

    java.lang.Object
      com.beasys.commerce.util.MethodCache

Deprecated

    @Deprecated
    public class MethodCache

extends Object

Field Summary
`protected LinkedList` | `cache` Deprecated

Constructor Summary
`protected` | `MethodCache()` Deprecated Default constructor.

Method Summary
`static MethodCache` | `getInstance()` Deprecated Get instance.
`Method` | `getMethod(Class c, String aName, Class[] theParams)` Deprecated Get method.
`static void` | `main(String[] args)` Deprecated Main - test program.
`int` | `testMethod(String aString)` Deprecated Test method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cache

    protected LinkedList cache

  Deprecated

Constructor Detail

### MethodCache

    protected MethodCache()

  Deprecated
  Default constructor.

Method Detail

### getInstance

    public static MethodCache getInstance()

  Deprecated
  Get instance.

  Returns
    `MethodCache`

### getMethod

    public Method getMethod(Class c,
                            String aName,
                            Class[] theParams)

  Deprecated
  Get method.

  Parameters
    `c` -
    `aName` -
    `theParams` -
  Returns
    `Method`

### testMethod

    public int testMethod(String aString)

  Deprecated
  Test method.

  Parameters
    `aString` -
  Returns
    `int`

### main

    public static void main(String[] args)

  Deprecated
  Main - test program.

  Parameters
    `args` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.